Skip to content

Transactions

Use these endpoints to view Transactions of funds moving in and out of Jiko Accounts, specifically the bank account component (cash deposits and withdrawals). For viewing information regarding the brokerage account component (buying and selling of T-bills), use Trades.

List Customer Transactions
deprecated

Request

Returns a list of transactions from a customer's bank accounts. It does not include transactions between the bank account and brokerage account. Deprecated: Use List Customer Transactions instead.

Security
HTTPBearer
Path
customer_idstring, (uuid)(Customer Id)required
Query
orderstring(Order)

Ordered by the transaction timestamp, descending by default.

Default:"desc"
Enum:"desc""asc"
account[]Array of strings or null(Account[])
Any of:
Array of strings (uuid)
filter[card]Array of strings or null(Filter[Card])
Any of:
Array of strings (uuid)
filter[portal]Array of strings or null(Filter[Portal])
Any of:
Array of strings (uuid)
filter[types]Array of strings or null(Filter[Types])
Any of:
Array of strings
filter[on_us_transfer]Array of strings or null(Filter[On Us Transfer])
Any of:
Array of strings (uuid)
filter[wire]Array of strings or null(Filter[Wire])
Any of:
Array of strings (uuid)
timestamp_fromstring or null(Timestamp From)
Any of:
string (date-time)
timestamp_tostring or null(Timestamp To)
Any of:
string (date-time)
cursorstring(Cursor)
Default:""
limitinteger, > 0(Limit)
Default:30
Headers
x-jiko-idempotencystring, (uuid)(X-Jiko-Idempotency)required
x-jiko-signaturestring(X-Jiko-Signature)required
curl -i -X GET \
  'https://your-partner-name.partner-api.jikoservices.com/api/v1/customers/{customer_id}/transactions/?order=desc&account%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Bcard%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Bportal%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Btypes%5D=CARD&filter%5Bon_us_transfer%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&filter%5Bwire%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&timestamp_from=2019-08-24T14%3A15%3A22Z&timestamp_to=2019-08-24T14%3A15%3A22Z&cursor=&limit=30' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'x-jiko-idempotency: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'x-jiko-signature: string'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of objects(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "cj0xJnA9MjAyMi0xMi0yMSsxNyUzQTIyJTNBMDguNjc5MzQ5JTJCMDAlM0EwMA==", "next_page": "cD0yMDIyLTEyLTE5KzE5JTNBNTQlM0EyNy4xODMyNzglMkIwMCUzQTAw", "items": [ {}, {}, {}, {} ], "object_type": "CursorList" }